unit Simulationu;{v0.53}
{ gathered functions used for simulation of anything }

interface

function GetDebugAbsorbance(ADataIndex: integer; ATimeSec: single): single;

implementation

function GetDebugAbsorbance(ADataIndex: integer; ATimeSec: single): single;
const
  MaxTime = 20 * 60;
  PeakTime = 1 * 60;
  PeakHeight = 1;
  PeakCount = 10;
begin
  result := (sin((ATimeSec/PeakTime) * 2 * pi) + 1) * PeakHeight * ((1 + ADataIndex)/2);
end;

end.
